Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image.renderable
Interface CompositeRable

All Superinterfaces:
  Filter, FilterColorInterpolation, RenderableImage

All Known Implementing Classes:
  CompositeRable8Bit

    public interface CompositeRable

extends FilterColorInterpolation

Composites a list of images according to a single composite rule. the image are applied in the order they are in the List given.

Field Summary

Fields inherited from interface java.awt.image.renderable.RenderableImage
`HINTS_OBSERVED`

Method Summary
`CompositeRule` | `getCompositeRule()` Get the composite rule in use for combining the sources.
`void` | `setCompositeRule(CompositeRule cr)` Set the composite rule to use for combining the sources.
`void` | `setSources(List srcs)` The sources to be composited togeather.

Methods inherited from interface org.apache.batik.ext.awt.image.renderable.FilterColorInterpolation
`getOperationColorSpace, isColorSpaceLinear, setColorSpaceLinear`

Methods inherited from interface org.apache.batik.ext.awt.image.renderable.Filter
`getBounds2D, getDependencyRegion, getDirtyRegion, getTimeStamp`

Methods inherited from interface java.awt.image.renderable.RenderableImage
`createDefaultRendering, createRendering, createScaledRendering, getHeight, getMinX, getMinY, getProperty, getPropertyNames, getSources, getWidth, isDynamic`

Method Detail

### setSources

    void setSources(List srcs)

  The sources to be composited togeather.

  Parameters:
    `srcs` - The list of images to be composited by the composite rule.

### setCompositeRule

    void setCompositeRule(CompositeRule cr)

  Set the composite rule to use for combining the sources.

  Parameters:
    `cr` - Composite rule to use.

### getCompositeRule

    CompositeRule getCompositeRule()

  Get the composite rule in use for combining the sources.

  Returns:
    Composite rule currently in use.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.